<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>DateTime Objects &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="Concrete Objects Layer" href="concrete.html" />
    <link rel="next" title="Initialization, Finalization, and Threads" href="init.html" />
    <link rel="prev" title="Coroutine Objects" href="coro.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="init.html" title="Initialization, Finalization, and Threads"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="coro.html" title="Coroutine Objects"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >Python/C API Reference Manual</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="concrete.html" accesskey="U">Concrete Objects Layer</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="datetime-objects">
<span id="datetimeobjects"></span><h1>DateTime Objects<a class="headerlink" href="#datetime-objects" title="Permalink to this headline">¶</a></h1>
<p>Various date and time objects are supplied by the <a class="reference internal" href="../library/datetime.html#module-datetime" title="datetime: Basic date and time types."><code class="xref py py-mod docutils literal"><span class="pre">datetime</span></code></a> module.
Before using any of these functions, the header file <code class="file docutils literal"><span class="pre">datetime.h</span></code> must be
included in your source (note that this is not included by <code class="file docutils literal"><span class="pre">Python.h</span></code>),
and the macro <code class="xref c c-macro docutils literal"><span class="pre">PyDateTime_IMPORT</span></code> must be invoked, usually as part of
the module initialisation function.  The macro puts a pointer to a C structure
into a static variable, <code class="xref c c-data docutils literal"><span class="pre">PyDateTimeAPI</span></code>, that is used by the following
macros.</p>
<p>Type-check macros:</p>
<dl class="function">
<dt id="c.PyDate_Check">
int <code class="descname">PyDate_Check</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDate_Check" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateType</span></code> or a subtype of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateType</span></code>.  <em>ob</em> must not be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDate_CheckExact">
int <code class="descname">PyDate_CheckExact</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDate_CheckExact" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateType</span></code>. <em>ob</em> must not be
<em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_Check">
int <code class="descname">PyDateTime_Check</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_Check" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateTimeType</span></code> or a subtype of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateTimeType</span></code>.  <em>ob</em> must not be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_CheckExact">
int <code class="descname">PyDateTime_CheckExact</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_CheckExact" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateTimeType</span></code>. <em>ob</em> must not
be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyTime_Check">
int <code class="descname">PyTime_Check</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyTime_Check" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TimeType</span></code> or a subtype of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TimeType</span></code>.  <em>ob</em> must not be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyTime_CheckExact">
int <code class="descname">PyTime_CheckExact</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyTime_CheckExact" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TimeType</span></code>. <em>ob</em> must not be
<em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDelta_Check">
int <code class="descname">PyDelta_Check</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDelta_Check" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DeltaType</span></code> or a subtype of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DeltaType</span></code>.  <em>ob</em> must not be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDelta_CheckExact">
int <code class="descname">PyDelta_CheckExact</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDelta_CheckExact" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DeltaType</span></code>. <em>ob</em> must not be
<em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyTZInfo_Check">
int <code class="descname">PyTZInfo_Check</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyTZInfo_Check" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TZInfoType</span></code> or a subtype of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TZInfoType</span></code>.  <em>ob</em> must not be <em>NULL</em>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyTZInfo_CheckExact">
int <code class="descname">PyTZInfo_CheckExact</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*ob</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyTZInfo_CheckExact" title="Permalink to this definition">¶</a></dt>
<dd><p>Return true if <em>ob</em> is of type <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_TZInfoType</span></code>. <em>ob</em> must not be
<em>NULL</em>.</p>
</dd></dl>

<p>Macros to create objects:</p>
<dl class="function">
<dt id="c.PyDate_FromDate">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyDate_FromDate</code><span class="sig-paren">(</span>int<em>&nbsp;year</em>, int<em>&nbsp;month</em>, int<em>&nbsp;day</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDate_FromDate" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Return a <code class="docutils literal"><span class="pre">datetime.date</span></code> object with the specified year, month and day.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_FromDateAndTime">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyDateTime_FromDateAndTime</code><span class="sig-paren">(</span>int<em>&nbsp;year</em>, int<em>&nbsp;month</em>, int<em>&nbsp;day</em>, int<em>&nbsp;hour</em>, int<em>&nbsp;minute</em>, int<em>&nbsp;second</em>, int<em>&nbsp;usecond</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_FromDateAndTime" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Return a <code class="docutils literal"><span class="pre">datetime.datetime</span></code> object with the specified year, month, day, hour,
minute, second and microsecond.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyTime_FromTime">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyTime_FromTime</code><span class="sig-paren">(</span>int<em>&nbsp;hour</em>, int<em>&nbsp;minute</em>, int<em>&nbsp;second</em>, int<em>&nbsp;usecond</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyTime_FromTime" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Return a <code class="docutils literal"><span class="pre">datetime.time</span></code> object with the specified hour, minute, second and
microsecond.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDelta_FromDSU">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyDelta_FromDSU</code><span class="sig-paren">(</span>int<em>&nbsp;days</em>, int<em>&nbsp;seconds</em>, int<em>&nbsp;useconds</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDelta_FromDSU" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Return a <code class="docutils literal"><span class="pre">datetime.timedelta</span></code> object representing the given number of days,
seconds and microseconds.  Normalization is performed so that the resulting
number of microseconds and seconds lie in the ranges documented for
<code class="docutils literal"><span class="pre">datetime.timedelta</span></code> objects.</p>
</dd></dl>

<p>Macros to extract fields from date objects.  The argument must be an instance of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_Date</span></code>, including subclasses (such as
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateTime</span></code>).  The argument must not be <em>NULL</em>, and the type is
not checked:</p>
<dl class="function">
<dt id="c.PyDateTime_GET_YEAR">
int <code class="descname">PyDateTime_GET_YEAR</code><span class="sig-paren">(</span>PyDateTime_Date<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_GET_YEAR" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the year, as a positive int.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_GET_MONTH">
int <code class="descname">PyDateTime_GET_MONTH</code><span class="sig-paren">(</span>PyDateTime_Date<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_GET_MONTH" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the month, as an int from 1 through 12.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_GET_DAY">
int <code class="descname">PyDateTime_GET_DAY</code><span class="sig-paren">(</span>PyDateTime_Date<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_GET_DAY" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the day, as an int from 1 through 31.</p>
</dd></dl>

<p>Macros to extract fields from datetime objects.  The argument must be an
instance of <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_DateTime</span></code>, including subclasses. The argument
must not be <em>NULL</em>, and the type is not checked:</p>
<dl class="function">
<dt id="c.PyDateTime_DATE_GET_HOUR">
int <code class="descname">PyDateTime_DATE_GET_HOUR</code><span class="sig-paren">(</span>PyDateTime_DateTime<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DATE_GET_HOUR" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the hour, as an int from 0 through 23.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_DATE_GET_MINUTE">
int <code class="descname">PyDateTime_DATE_GET_MINUTE</code><span class="sig-paren">(</span>PyDateTime_DateTime<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DATE_GET_MINUTE" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the minute, as an int from 0 through 59.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_DATE_GET_SECOND">
int <code class="descname">PyDateTime_DATE_GET_SECOND</code><span class="sig-paren">(</span>PyDateTime_DateTime<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DATE_GET_SECOND" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the second, as an int from 0 through 59.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_DATE_GET_MICROSECOND">
int <code class="descname">PyDateTime_DATE_GET_MICROSECOND</code><span class="sig-paren">(</span>PyDateTime_DateTime<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DATE_GET_MICROSECOND" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the microsecond, as an int from 0 through 999999.</p>
</dd></dl>

<p>Macros to extract fields from time objects.  The argument must be an instance of
<code class="xref c c-data docutils literal"><span class="pre">PyDateTime_Time</span></code>, including subclasses. The argument must not be <em>NULL</em>,
and the type is not checked:</p>
<dl class="function">
<dt id="c.PyDateTime_TIME_GET_HOUR">
int <code class="descname">PyDateTime_TIME_GET_HOUR</code><span class="sig-paren">(</span>PyDateTime_Time<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_TIME_GET_HOUR" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the hour, as an int from 0 through 23.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_TIME_GET_MINUTE">
int <code class="descname">PyDateTime_TIME_GET_MINUTE</code><span class="sig-paren">(</span>PyDateTime_Time<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_TIME_GET_MINUTE" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the minute, as an int from 0 through 59.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_TIME_GET_SECOND">
int <code class="descname">PyDateTime_TIME_GET_SECOND</code><span class="sig-paren">(</span>PyDateTime_Time<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_TIME_GET_SECOND" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the second, as an int from 0 through 59.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_TIME_GET_MICROSECOND">
int <code class="descname">PyDateTime_TIME_GET_MICROSECOND</code><span class="sig-paren">(</span>PyDateTime_Time<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_TIME_GET_MICROSECOND" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the microsecond, as an int from 0 through 999999.</p>
</dd></dl>

<p>Macros to extract fields from time delta objects.  The argument must be an
instance of <code class="xref c c-data docutils literal"><span class="pre">PyDateTime_Delta</span></code>, including subclasses. The argument must
not be <em>NULL</em>, and the type is not checked:</p>
<dl class="function">
<dt id="c.PyDateTime_DELTA_GET_DAYS">
int <code class="descname">PyDateTime_DELTA_GET_DAYS</code><span class="sig-paren">(</span>PyDateTime_Delta<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DELTA_GET_DAYS" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the number of days, as an int from -999999999 to 999999999.</p>
<div class="versionadded">
<p><span class="versionmodified">New in version 3.3.</span></p>
</div>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_DELTA_GET_SECONDS">
int <code class="descname">PyDateTime_DELTA_GET_SECONDS</code><span class="sig-paren">(</span>PyDateTime_Delta<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DELTA_GET_SECONDS" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the number of seconds, as an int from 0 through 86399.</p>
<div class="versionadded">
<p><span class="versionmodified">New in version 3.3.</span></p>
</div>
</dd></dl>

<dl class="function">
<dt id="c.PyDateTime_DELTA_GET_MICROSECOND">
int <code class="descname">PyDateTime_DELTA_GET_MICROSECOND</code><span class="sig-paren">(</span>PyDateTime_Delta<em>&nbsp;*o</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_DELTA_GET_MICROSECOND" title="Permalink to this definition">¶</a></dt>
<dd><p>Return the number of microseconds, as an int from 0 through 999999.</p>
<div class="versionadded">
<p><span class="versionmodified">New in version 3.3.</span></p>
</div>
</dd></dl>

<p>Macros for the convenience of modules implementing the DB API:</p>
<dl class="function">
<dt id="c.PyDateTime_FromTimestamp">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyDateTime_FromTimestamp</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*args</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDateTime_FromTimestamp" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Create and return a new <code class="docutils literal"><span class="pre">datetime.datetime</span></code> object given an argument tuple
suitable for passing to <code class="docutils literal"><span class="pre">datetime.datetime.fromtimestamp()</span></code>.</p>
</dd></dl>

<dl class="function">
<dt id="c.PyDate_FromTimestamp">
<a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a>* <code class="descname">PyDate_FromTimestamp</code><span class="sig-paren">(</span><a class="reference internal" href="structures.html#c.PyObject" title="PyObject">PyObject</a><em>&nbsp;*args</em><span class="sig-paren">)</span><a class="headerlink" href="#c.PyDate_FromTimestamp" title="Permalink to this definition">¶</a></dt>
<dd><em class="refcount">Return value: New reference.</em><p>Create and return a new <code class="docutils literal"><span class="pre">datetime.date</span></code> object given an argument tuple
suitable for passing to <code class="docutils literal"><span class="pre">datetime.date.fromtimestamp()</span></code>.</p>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="coro.html"
                        title="previous chapter">Coroutine Objects</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="init.html"
                        title="next chapter">Initialization, Finalization, and Threads</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/c-api/datetime.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="init.html" title="Initialization, Finalization, and Threads"
             >next</a> |</li>
        <li class="right" >
          <a href="coro.html" title="Coroutine Objects"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >Python/C API Reference Manual</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="concrete.html" >Concrete Objects Layer</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>